import request from '@/utils/request'

// 查询维修人员-岗位列表
export function listPost(query) {
  return request({
    url: '/business/post/list',
    method: 'get',
    params: query
  })
}

// 查询维修人员-岗位详细
export function getPost(id) {
  return request({
    url: '/business/post/' + id,
    method: 'get'
  })
}

// 新增维修人员-岗位
export function addPost(data) {
  return request({
    url: '/business/post',
    method: 'post',
    data: data
  })
}

// 修改维修人员-岗位
export function updatePost(data) {
  return request({
    url: '/business/post',
    method: 'put',
    data: data
  })
}

// 删除维修人员-岗位
export function delPost(id) {
  return request({
    url: '/business/post/' + id,
    method: 'delete'
  })
}
